DevLab_ICM20948 1.0.2 ICM-20948 9-Axis Motion Sensor Driver

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BusIO_7Semi< Bus > Class Template Reference

`#include <BusIO_7Semi.h>`

## Public Member Functions
| BusIO_7Semi (Bus &busRef)
bool | read (uint8_t reg, uint8_t &value)
bool | read (uint8_t reg, uint16_t &value)
bool | read (uint8_t reg, uint8_t *data, uint32_t len)
bool | write (uint8_t reg, uint8_t value)
bool | write (uint8_t reg, uint16_t value)
bool | write (uint8_t reg, const uint8_t *data, uint32_t len)
bool | readBits (uint8_t reg, uint8_t pos, uint8_t len, uint8_t &value)
bool | readBits (uint8_t reg, uint8_t pos, uint8_t len, uint16_t &value)
bool | writeBits (uint8_t reg, uint8_t pos, uint8_t len, uint8_t value)
bool | writeBits (uint8_t reg, uint8_t pos, uint8_t len, uint16_t value)
bool | readBit (uint8_t reg, uint8_t pos, uint8_t &value)
bool | readBit (uint8_t reg, uint8_t pos, uint16_t &value)
bool | writeBit (uint8_t reg, uint8_t pos, uint8_t value)
bool | writeBit (uint8_t reg, uint8_t pos, uint16_t value)

## Detailed Description

template<typename Bus>
class BusIO_7Semi< Bus >

Definition at line 5 of file BusIO_7Semi.h.

## Constructor & Destructor Documentation

## ◆ BusIO_7Semi()

template<typename Bus >

BusIO_7Semi< Bus >::BusIO_7Semi | ( | Bus & | busRef | ) |
| inline

Constructor

- Stores interface reference

Definition at line 14 of file BusIO_7Semi.h.

## Member Function Documentation

## ◆ read() [1/3]

template<typename Bus >

bool BusIO_7Semi< Bus >::read | ( | uint8_t | reg,
|  | uint16_t & | value
| ) |  |
| inline

read 16-bit

Definition at line 23 of file BusIO_7Semi.h.

## ◆ read() [2/3]

template<typename Bus >

bool BusIO_7Semi< Bus >::read | ( | uint8_t | reg,
|  | uint8_t & | value
| ) |  |
| inline

read 8-bit

Definition at line 17 of file BusIO_7Semi.h.

Here is the caller graph for this function:

## ◆ read() [3/3]

template<typename Bus >

bool BusIO_7Semi< Bus >::read | ( | uint8_t | reg,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |
| inline

read burst

Definition at line 33 of file BusIO_7Semi.h.

## ◆ readBit() [1/2]

template<typename Bus >

bool BusIO_7Semi< Bus >::readBit | ( | uint8_t | reg,
|  | uint8_t | pos,
|  | uint16_t & | value
| ) |  |
| inline

Definition at line 142 of file BusIO_7Semi.h.

Here is the call graph for this function:

## ◆ readBit() [2/2]

template<typename Bus >

bool BusIO_7Semi< Bus >::readBit | ( | uint8_t | reg,
|  | uint8_t | pos,
|  | uint8_t & | value
| ) |  |
| inline

Definition at line 137 of file BusIO_7Semi.h.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ readBits() [1/2]

template<typename Bus >

bool BusIO_7Semi< Bus >::readBits | ( | uint8_t | reg,
|  | uint8_t | pos,
|  | uint8_t | len,
|  | uint16_t & | value
| ) |  |
| inline

readBits (16-bit register)

Definition at line 78 of file BusIO_7Semi.h.

Here is the call graph for this function:

## ◆ readBits() [2/2]

template<typename Bus >

bool BusIO_7Semi< Bus >::readBits | ( | uint8_t | reg,
|  | uint8_t | pos,
|  | uint8_t | len,
|  | uint8_t & | value
| ) |  |
| inline

readBits (8-bit register)

Definition at line 60 of file BusIO_7Semi.h.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ write() [1/3]

template<typename Bus >

bool BusIO_7Semi< Bus >::write | ( | uint8_t | reg,
|  | const uint8_t * | data,
|  | uint32_t | len
| ) |  |
| inline

write burst

Definition at line 52 of file BusIO_7Semi.h.

## ◆ write() [2/3]

template<typename Bus >

bool BusIO_7Semi< Bus >::write | ( | uint8_t | reg,
|  | uint16_t | value
| ) |  |
| inline

write 16-bit

Definition at line 45 of file BusIO_7Semi.h.

## ◆ write() [3/3]

template<typename Bus >

bool BusIO_7Semi< Bus >::write | ( | uint8_t | reg,
|  | uint8_t | value
| ) |  |
| inline

write 8-bit

Definition at line 39 of file BusIO_7Semi.h.

Here is the caller graph for this function:

## ◆ writeBit() [1/2]

template<typename Bus >

bool BusIO_7Semi< Bus >::writeBit | ( | uint8_t | reg,
|  | uint8_t | pos,
|  | uint16_t | value
| ) |  |
| inline

Definition at line 151 of file BusIO_7Semi.h.

Here is the call graph for this function:

## ◆ writeBit() [2/2]

template<typename Bus >

bool BusIO_7Semi< Bus >::writeBit | ( | uint8_t | reg,
|  | uint8_t | pos,
|  | uint8_t | value
| ) |  |
| inline

Definition at line 147 of file BusIO_7Semi.h.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ writeBits() [1/2]

template<typename Bus >

bool BusIO_7Semi< Bus >::writeBits | ( | uint8_t | reg,
|  | uint8_t | pos,
|  | uint8_t | len,
|  | uint16_t | value
| ) |  |
| inline

writeBits (16-bit register)

- Modifies specific bits in 16-bit register

Definition at line 120 of file BusIO_7Semi.h.

Here is the call graph for this function:

## ◆ writeBits() [2/2]

template<typename Bus >

bool BusIO_7Semi< Bus >::writeBits | ( | uint8_t | reg,
|  | uint8_t | pos,
|  | uint8_t | len,
|  | uint8_t | value
| ) |  |
| inline

writeBits (8-bit register)

- Modifies specific bits in 8-bit register

Definition at line 98 of file BusIO_7Semi.h.

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- src/BusIO_7Semi.h